> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claim.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload File



## OpenAPI

````yaml POST /files
openapi: 3.0.0
info:
  title: Public Claims API [VERY DRAFT]
  version: 0.0.0
servers: []
security: []
paths:
  /files:
    post:
      summary: Upload a claim file
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: binary content of uploaded file
      responses:
        '201':
          description: Operation successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    $ref: '#/components/schemas/FileId'
components:
  schemas:
    FileId:
      type: integer
      description: File ID
      example: 102545

````